#include "inifile.cpp"


// read in parameters from the .ini file, using a c++ class declared in inifile.h
void read_parameters(const char* filename) {
  inifile ini(filename);

  // syntax: to read e.g. a double value: ini.getdbl("keyword", default_value, set-number);
  // read integer value: ini.getlng(...);

  dt = ini.getdbl("dt", 0.05, 0);
  mdsteps = ini.getlng("mdsteps", 20, 0);
  rho = ini.getlng("rho", 10.0, 0);
  Lx = ini.getlng("Lx", 50, 0);
  Ly = ini.getlng("Ly", 50, 0);
  alpha = ini.getdbl("alpha", M_PI/2.0, 0);
  temperature = ini.getdbl("temperature", 1.0, 0);
  grav = ini.getdbl("grav", 0.004, 0);
  obsMass = ini.getdbl("obsMass", 10.0, 0);
  spring_force = ini.getdbl("spring_force", 1000.0, 0);
  radius = ini.getlng("radius", 0, 0);
  vis_cellsize = ini.getlng("vis_cellsize", 2, 0);
  fLx = int(ceil(Lx/(double)(vis_cellsize))+0.5);        /* number of cells in the flow field visualization */
  fLy = int(ceil(Ly/(double)(vis_cellsize))+0.5);
  dLx = (double)Lx;
  dLy = (double)Ly;

}
